## view
Class AEditEntryURL

    java.lang.Object
      view.GoURL
          view.AEditEntryURL

    public class AEditEntryURL

extends GoURL

Constructor Summary
`AEditEntryURL(ID tid, boolean pre, ID eid, boolean edit)` Constructs the URL.

Method Summary

Methods inherited from class view.GoURL
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AEditEntryURL

    public AEditEntryURL(ID tid,
                         boolean pre,
                         ID eid,
                         boolean edit)

  Constructs the URL.

  Parameters:
    `tid` - the ID of the tournament of the entry.
    `pre` - if the true, the URL refers to pre-registration, otherwise final registration
    `eid` - the ID of the entry if null, the URL denotes the creation of a new entry.
    `edit` - if true, the URL refers to an entry edit. if false but eid not null, the URL refers to final registration with the form prefilled with pre-entry data.